# Run tests in check section
%bcond_without check

# https://github.com/census-instrumentation/opencensus-go
%global goipath         go.opencensus.io
%global forgeurl        https://github.com/census-instrumentation/opencensus-go
Version:                0.23.0

%gometa

%global common_description %{expand:
OpenCensus Go is a Go implementation of OpenCensus, a toolkit for collecting
application performance and behavior monitoring data. Currently it consists of
three major components: tags, stats and tracing.}

%global golicenses      LICENSE
%global godocs          examples AUTHORS CONTRIBUTING.md README.md example example example

Name:           %{goname}
Release:        %mkrel 2
Summary:        Stats collection and distributed tracing framework
Group:          Development/Other
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires:  golang(github.com/golang/groupcache/lru)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
BuildRequires:  golang(golang.org/x/net/context)
BuildRequires:  golang(golang.org/x/net/http2)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/grpclog)
BuildRequires:  golang(google.golang.org/grpc/metadata)
BuildRequires:  golang(google.golang.org/grpc/stats)
BuildRequires:  golang(google.golang.org/grpc/status)
BuildRequires:  golang(github.com/stretchr/testify/assert)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck -d plugin/ochttp
%endif

%gopkgfiles


%changelog
* Tue Apr 05 2022 umeabot <umeabot> 0.23.0-2.mga9
+ Revision: 1844894
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 guillomovitch <guillomovitch> 0.23.0-1.mga9
+ Revision: 1771812
- new version 0.23.0

* Thu Nov 18 2021 guillomovitch <guillomovitch> 0.22.5-2.mga9
+ Revision: 1757823
- update to new git snapshot

* Sun Nov 07 2021 guillomovitch <guillomovitch> 0.22.5-1.mga9
+ Revision: 1754643
- new version 0.22.5

* Sun Sep 06 2020 pterjan <pterjan> 0.22.4-2.mga8
+ Revision: 1623028
- Disable bootstrap

* Thu Sep 03 2020 guillomovitch <guillomovitch> 0.22.4-1.mga8
+ Revision: 1621427
- new version 0.22.4

* Mon Jun 15 2020 joequant <joequant> 0.18.0-1.mga8
+ Revision: 1593335
- update deps

* Sun Nov 25 2018 pterjan <pterjan> 0.18.0-1.mga7
+ Revision: 1334360
- imported package golang-opencensus


* Mon Nov 12 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.18.0-1
- Release 0.18.0

* Tue Jul 17 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.14.0-1
- Bump to 0.14.0

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.13.0-1
- Bump to 0.13.0

* Mon Apr 23 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.0-3
- Unbootstrap

* Thu Mar 22 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.0-2
- Fix bootstrap

* Thu Mar 22 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.0-1
- First package for Fedora

